fbsql_affected_rows
fbsql_blob_size
FrontBase Functions
PHP Manual

# fbsql_autocommit

(PHP 4 >= 4.0.6, PHP 5)

fbsql_autocommit — Enable or disable autocommit

### Description

bool fbsql_autocommit ( resource `$link_identifier` [, bool `$OnOff` ] )

Returns the current autocommit status.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect() or fbsql_pconnect().

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect() was called with no arguments.

`OnOff`

  If this optional parameter is given the auto commit status will be changed.

  With `OnOff` set to `TRUE` each statement will be committed automatically, if no errors was found.

  With OnOff set to `FALSE` the user must commit or rollback the transaction using either fbsql_commit() or fbsql_rollback().

### Return Values

Returns the current autocommit status, as a boolean.

### See Also

- fbsql_commit() - Commits a transaction to the database
- fbsql_rollback() - Rollback a transaction to the database

fbsql_affected_rows
fbsql_blob_size
FrontBase Functions
PHP Manual